Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nat.transcodeur
Class Transcodeur

    java.lang.Object
      nat.transcodeur.Transcodeur

    public class Transcodeur

extends java.lang.Object

La classe `Transcodeur` réalise la transcription d'un fichier au format XML interne en Braille

Author:
  Bruno Mascret

Field Summary
`private java.lang.String` | `abrege` Valeur du parametre xsl "abrege"
`private java.lang.String` | `cible` Adresse du fichier de sortie
`private ConfigNat` | `confNat` Configuration à utiliser
`private java.lang.String` | `entree` Adresse du fichier d'entrée au format XML interne
`private java.lang.String` | `filtre` La feuille de style xsl à utiliser pour la transcription
`private boolean` | `sens`
`private java.lang.String` | `sortieEncoding` Encodage du fichier de sortie
`private long` | `tempsExecution` Temps d'exécution de la transcription en milliseconde

Constructor Summary
`Transcodeur(ConfigNat confNat, java.lang.String e, java.lang.String s, java.lang.String se)` Exception thrown by merge algorithms.

Method Summary
`private void` | `CreerFiltre(GestionnaireErreur gestErreur)` Fabrique le fichier xsl en fonction de la configuration de `configNat`
`long` | `donneTempsExecution()` Méthode d'accès à `tempsExecution`
`boolean` | `getSens()`
`void` | `setSens(boolean s)`
`boolean` | `Transcrire(GestionnaireErreur gestErreur)` Réalise la transcription du fichier d'entrée vers le fichier de sortie en utilisant le filtre xsl

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tempsExecution

    private long tempsExecution

  Temps d'exécution de la transcription en milliseconde

### confNat

    private ConfigNat confNat

  Configuration à utiliser

### filtre

    private java.lang.String filtre

  La feuille de style xsl à utiliser pour la transcription

### entree

    private java.lang.String entree

  Adresse du fichier d'entrée au format XML interne

### cible

    private java.lang.String cible

  Adresse du fichier de sortie

### sortieEncoding

    private java.lang.String sortieEncoding

  Encodage du fichier de sortie

### abrege

    private java.lang.String abrege

  Valeur du parametre xsl "abrege"

### sens

    private boolean sens

Constructor Detail

### Transcodeur

    public Transcodeur(ConfigNat confNat,
                       java.lang.String e,
                       java.lang.String s,
                       java.lang.String se)

  Exception thrown by merge algorithms.

  Parameters:
    `confNat` - Objet `ConfNat` donnant la configuration.
    `e` - `String` adresse du fichier d'entrée (format XML interne)
    `s` - `String` adresse du fichier de sortie
    `se` - `String` encodage du fichier de sortie

Method Detail

### setSens

    public void setSens(boolean s)

### getSens

    public boolean getSens()

### donneTempsExecution

    public long donneTempsExecution()

  Méthode d'accès à `tempsExecution`

  Returns:
    le temps mis pour transcire

### CreerFiltre

    private void CreerFiltre(GestionnaireErreur gestErreur)

  Fabrique le fichier xsl en fonction de la configuration de `configNat`

  Parameters:
    `gestErreur` - Un objet `GestionnaireErreur` pour l'affichage et la gestion des improbables erreurs.

### Transcrire

    public boolean Transcrire(GestionnaireErreur gestErreur)

  Réalise la transcription du fichier d'entrée vers le fichier de sortie en utilisant le filtre xsl

  Parameters:
    `gestErreur` - Un objet `GestionnaireErreur` pour l'affichage et la gestion des improbables erreurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD